From cc8b8f0cc9c0b1dfda7cd0ae3392aacecff79abd Mon Sep 17 00:00:00 2001
From: Alexandru Csete <oz9aec@gmail.com>
Date: Sat, 2 Jun 2018 00:54:36 +0200
Subject: [PATCH 02/13] Fix text in about box

---
 CMakeLists.txt                       | 4 ++--
 gqrx.pro                             | 6 +++---
 src/applications/gqrx/mainwindow.cpp | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index b60f976..16bbd47 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -7,7 +7,7 @@ set(${PROJECT_NAME}_MINOR "11")
 set(${PROJECT_NAME}_PATCH "5")
 set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
 ##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
-add_definitions(-DVERSION="${VERSION}")
+##add_definitions(-DVERSION="${VERSION}")
 
 # development version
 execute_process(
@@ -16,7 +16,7 @@ execute_process(
     OUTPUT_VARIABLE GITVERSION
     OUTPUT_STRIP_TRAILING_WHITESPACE
 )
-##add_definitions(-DVERSION="${GITVERSION}")
+add_definitions(-DVERSION="${GITVERSION}")
 
 set(PACKAGE ${PROJECT_NAME})
 
diff --git a/gqrx.pro b/gqrx.pro
index 00cbcac..0732bea 100644
--- a/gqrx.pro
+++ b/gqrx.pro
@@ -72,14 +72,14 @@ CONFIG(debug, debug|release) {
     #QMAKE_CFLAGS_DEBUG += '-g -O0'
 
     # Define version string (see below for releases)
-    ##VER = $$system(git describe --abbrev=8)
-    VER = 2.11.5
+    VER = $$system(git describe --abbrev=8)
+    ##VER = 2.11.5
 
 } else {
     DEFINES += QT_NO_DEBUG
     DEFINES += QT_NO_DEBUG_OUTPUT
     VER = $$system(git describe --abbrev=1)
-    VER = 2.11.5
+    ##VER = 2.11.5
 
     # Release binaries with gr bundled
     # QMAKE_RPATH & co won't work with origin
diff --git a/src/applications/gqrx/mainwindow.cpp b/src/applications/gqrx/mainwindow.cpp
index 33d3917..aebef85 100644
--- a/src/applications/gqrx/mainwindow.cpp
+++ b/src/applications/gqrx/mainwindow.cpp
@@ -2201,7 +2201,7 @@ void MainWindow::on_actionAbout_triggered()
            "<p>Gqrx is a software defined radio (SDR) receiver powered by "
            "<a href='http://www.gnuradio.org/'>GNU Radio</a> and the Qt toolkit. "
            "<p>Gqrx uses the <a href='https://osmocom.org/projects/sdr/wiki/GrOsmoSDR'>GrOsmoSDR</a> "
-           "input source block and and works with any input device supported by it, including "
+           "input source block and works with any input device supported by it, including "
            "Funcube Dongle, RTL-SDR, Airspy, HackRF, RFSpace, BladeRF and USRP receivers."
            "</p>"
            "<p>You can download the latest version from the "
-- 
2.20.1

